import * as $dara from '@darabonba/typescript';
import { UpdateEnhancedVpnGatewayResponseBody } from "./UpdateEnhancedVpnGatewayResponseBody";
export declare class UpdateEnhancedVpnGatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateEnhancedVpnGatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
